package data.scripts;

import com.fs.starfarer.api.PluginPick;
import com.fs.starfarer.api.campaign.AsteroidAPI;
import com.fs.starfarer.api.campaign.BaseCampaignPlugin;
import com.fs.starfarer.api.campaign.SectorEntityToken;

public class MyCampaignPlugin extends BaseCampaignPlugin {
	
	public String getId() {
		return "MyCampaignPlugin_unique_id"; // make sure to change this for your mod
	}
	
	// not marking this plugin as transient, because it saves data of type:
	// AsteriodInteractionDialogPlugin.AsteroidData in the savefile.
	// Because of that, a savegame that ran with this plugin would not load properly
	// after this mod is disabled.
	public boolean isTransient() {
		return false;
	}

	@SuppressWarnings("unchecked")
	public PluginPick pickInteractionDialogPlugin(SectorEntityToken interactionTarget) {
		// if the player is attempting to interact with an asteroid, 
		// return our custom dialog plugin.
		if (interactionTarget instanceof AsteroidAPI) {
			return new PluginPick(new AsteriodInteractionDialogPlugin(), PickPriority.MOD_GENERAL);
		}
		return null;
	}

}




